aboutsummaryrefslogtreecommitdiff
path: root/test/common-utils/configure_zsh_no_template_second_step.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/common-utils/configure_zsh_no_template_second_step.sh')
-rw-r--r--test/common-utils/configure_zsh_no_template_second_step.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/test/common-utils/configure_zsh_no_template_second_step.sh b/test/common-utils/configure_zsh_no_template_second_step.sh
new file mode 100644
index 0000000..734fa66
--- /dev/null
+++ b/test/common-utils/configure_zsh_no_template_second_step.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+# Definition specific tests
+function file_not_overridden() {
+ cat $1 | grep 'alias fnomockalias=' | grep testingmock
+}
+check "default-zsh-with-no-zshrc" file_not_overridden /home/devcontainer/.zshrc
+
+# Report result
+reportResults